XkbAddSymInterpret(3)

NAME
XkbAddSymInterpret - Add a symbol interpretation to the list of symbol interpretations in an XkbCompatRec

SYNOPSIS

XkbSymInterpretPtr XkbAddSymInterpret (XkbDescPtr xkb, XkbSymInterpretPtr si, Bool updateMap, XkbChangesPtr changes);

ARGUMENTS

- xkb
    keyboard description to be updated

- si
    symbol interpretation to be added

- updateMap
    True=>apply compatibility map to keys

- changes
    changes are put here

DESCRIPTION

XkbAddSymInterpret adds si to the list of symbol interpretations in xkb. If updateMap is True, it (re)applies the compatibility map to all of the keys on the keyboard. If changes is non-NULL, it reports the parts of the keyboard that were affected (unless updateMap is True, not much changes). XkbAddSymInterpret returns a pointer to the actual new symbol interpretation in the list or NULL if it failed.